Page MenuHomePhabricator

[GlobalISel] NFC: Have LLT::getSizeInBits/Bytes return a TypeSize.
ClosedPublic

Authored by sdesmalen on Jun 17 2021, 5:50 AM.

Details

Summary

To reflect that the size may be scalable, a TypeSize is returned
instead of an unsigned. In places where the result is used,
it currently relies on an implicit cast of TypeSize -> uint64_t,
which asserts that the type is not scalable.

This patch is NFC for fixed-width vectors.

Diff Detail

Event Timeline

sdesmalen created this revision.Jun 17 2021, 5:50 AM
sdesmalen requested review of this revision.Jun 17 2021, 5:50 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 17 2021, 5:50 AM
Matt added a subscriber: Matt.Jun 19 2021, 7:57 AM
aemerson accepted this revision.Jun 22 2021, 3:12 PM
aemerson added a subscriber: aemerson.

LGTM.

This revision is now accepted and ready to land.Jun 22 2021, 3:12 PM

Looks like this doesn't build with at least some versions of clang: http://45.33.8.238/macm1/12401/step_4.txt

Looks like this doesn't build with at least some versions of clang: http://45.33.8.238/macm1/12401/step_4.txt

Thanks for pointing out. What version of Clang is that build using?

Looks like this doesn't build with at least some versions of clang: http://45.33.8.238/macm1/12401/step_4.txt

Thanks for pointing out. What version of Clang is that build using?

clang version 13.0.0 (https://github.com/llvm/llvm-project/ dad5caa59e6b2bde8d6cf5b64a972c393c526c82)